- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
isDoubleAvailable
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Managing devices in ArrayFire

Check if double precision support is available for specified device. More...

## Functions
AFAPI bool | isDoubleAvailable (const int device)
| Queries the current device for double precision floating point support. More...
AFAPI af_err | af_get_dbl_support (bool *available, const int device)

## Detailed Description

Check if double precision support is available for specified device.

These functions check if a device has support to perform double precision floating point operations

## Function Documentation

AFAPI af_err af_get_dbl_support | ( | bool * | available,
|  | const int | device
| ) |  |

AFAPI bool af::isDoubleAvailable | ( | const int | device | ) |

Queries the current device for double precision floating point support.

Parameters

  [in] | device | the ID of the device to query

Returns
  true if the `device` supports double precision operations. false otherwise